/* Global */
.mipl_sl_stockist{ border:1px solid #eee; }
.mipl_sl_stockist input[type="text"],
.mipl_sl_stockist select,
.mipl_sl_stockist button.mipl_sl_filter_button{ height: 35px; display: block; padding: 5px 10px; box-sizing: border-box; border-radius: 0; border:1px solid #ddd; outline: none;  min-height: unset }
.mipl_sl_stockist button.mipl_sl_filter_button{ min-width: 100px; }
.mipl_sl_stockist select{ padding-left: 10px; padding-right: 15px; }
.mipl_sl_stockist .mipl-sl-icon{ width: 1.1em; height: 1.1em; }

/* Filter */
.mipl_sl_stockist .mipl_sl_stockist_filter{ padding: 5px; border-bottom:1px solid #eee; overflow: auto; }
.mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap{ float: left; margin-right: 5px; }
.mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_current_location{ width: 290px; }
.mipl_sl_stockist .mipl_sl_stockist_filter a.mipl_sl_submit_name,
.mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_current_location_btn{ display: block; border:1px solid #ddd; padding: 5px; width: 35px; height: 35px; box-sizing: border-box; }
.mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_current_location_btn svg{ width: 24px; height: 24px; display: inline-block; }

/* Listing */
.mipl_sl_stockist_listing{ font-size: 0.9em; line-height: 1.2; height: 100%; overflow-y: scroll; }
.mipl_sl_stockist_listing a{ text-decoration: none; color: #000; }
.mipl_sl_stockist_listing a:hover{ text-decoration: underline; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item{ border-bottom: 1px solid #ccc; padding: 10px; transition: all 0.2s; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item:last-child{ border:none; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item:hover{ background: rgba(0,0,0,0.01); }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_store_img{ float: right; background: #eee; width: 70px; height: 70px; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_store_title{ display: block; margin-bottom: 5px; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_item_row{ padding-left: 22px; position: relative; margin-bottom: 3px; box-sizing: border-box; word-break: break-all; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_item_row > svg{ position: absolute; left:0; top:0.1em; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_full_week_time{ font-size: 0.8em; display: none; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item span.mipl_sl_full_week_time_shedule { cursor: pointer; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_social_media_links a{ margin-right: 5px; display: inline-block; }
.mipl_sl_stockist_listing .mipl_sl_stockist_item .mipl_sl_item_row > .icon { position: absolute; top: 0.1em; }
.mipl_sl_stockist_item .mipl_sl_social_media_links .icon{ margin: 0; text-align: center; height: 20px; width: 20px; color: white; }


/* Social Media */
.mipl_sl_social_media_links .icon{ border-radius: 50%; padding: 6px 3px 0px}
.mipl_sl_social_media_links .mipl-sl-icon-youtube,
.mipl_sl_infowindow_content .mipl_sl_social_media_links .mipl-sl-icon-youtube {color: white; background: #f22626;}
.mipl_sl_social_media_links .mipl-sl-icon-linkedin,
.mipl_sl_infowindow_content .mipl_sl_social_media_links .mipl-sl-icon-linkedin  {color: #fff; background: #0077b5; }
.mipl_sl_social_media_links .mipl-sl-icon-twitter,
.mipl_sl_infowindow_content .mipl_sl_social_media_links .mipl-sl-icon-twitter {color: #fff;  background: #0077b5; }
.mipl_sl_social_media_links .mipl-sl-icon-facebook,
.mipl_sl_infowindow_content .mipl_sl_social_media_links .mipl-sl-icon-facebook {color: white; background: #4267b2; }
.mipl_sl_social_media_links .mipl-sl-icon-instagram,
.mipl_sl_infowindow_content .mipl_sl_social_media_links .mipl-sl-icon-instagram {color: #fff; background: radial-gradient(circle at 30% 107%, #fdf497 0%, #be0b5d 5%, #fd5949 45%,#d6249f 60%,#285AEB 90%); }
.mipl_sl_social_media_links .mipl-sl-icon-whatsapp {background: #25d366; fill: white;}
.mipl_sl_social_media_links .mipl-sl-icon-skype {background: #009EDC; fill: white;}


/* Infowindow */
.mipl_sl_infowindow_content{ width: 300px; }
.mipl_sl_infowindow_content img{ float: right; margin: 0 0 10px 10px; }
.mipl_sl_infowindow_content a{ text-decoration: none; color: #000; }
.mipl_sl_infowindow_content a:hover{ text-decoration: underline; }
.mipl_sl_infowindow_content .mipl_sl_item_row{ padding-left: 22px; position: relative; margin-bottom: 3px; box-sizing: border-box; word-break: break-all; }
.mipl_sl_infowindow_content .mipl_sl_item_row > svg{ position: absolute; left:0; top:0.1em; }
.mipl_sl_infowindow_content .mipl_sl_title{ margin-bottom: 5px; display: block; }
.mipl_sl_infowindow_content .mipl_sl_item_row{ margin-bottom: 5px; }
.mipl_sl_infowindow_content .mipl_sl_social_media_links a{ margin-right: 5px; display: inline-block; }
.mipl_sl_infowindow_content .mipl_sl_social_media_links .icon { margin: 0; text-align: center; height: 20px; width: 20px; color: white; }
.mipl_sl_infowindow_content .mipl_sl_item_row > .icon { position: absolute; left: 0; top: 0.1em; }


/* Map */
.mipl_sl_stockist .mipl_sl_stockist_map_tag{ min-height: 500px; height: 100%; }

/* Layouts */
.mipl_sl_stockist .mipl_sl_stockist_container{ overflow: auto; position: relative; }
.mipl_sl_stockist .mipl_sl_stockist_wrapper{ align-content: flex-start; display: flex; flex-flow: row wrap;  min-height: 500px; }

/* Sidebar Wrap */
.mipl_sl_stockist .mipl_sl_stockist_sidebar{ width: 300px; display: inline-block; padding: 0; height: 100%; }

/* Map Wrap */
.mipl_sl_stockist .mipl_sl_stockist_map{ width: calc(100% - 300px); display: inline-block; padding: 0; }

/* Templates */
.mipl_sl_template2 .mipl_sl_stockist_wrapper,
.mipl_sl_template4 .mipl_sl_stockist_wrapper,
.mipl_sl_template6 .mipl_sl_stockist_wrapper{ flex-direction: row-reverse; }

.mipl_sl_template5 .mipl_sl_stockist_store_filter,
.mipl_sl_template6 .mipl_sl_stockist_store_filter,
.mipl_sl_template11 .mipl_sl_stockist_store_filter,
.mipl_sl_template12 .mipl_sl_stockist_store_filter{ display: none; }

.mipl_sl_template7 .mipl_sl_stockist_store_filter,
.mipl_sl_template8 .mipl_sl_stockist_store_filter,
.mipl_sl_template10 .mipl_sl_stockist_store_filter{ position: absolute; display: inline-block; top: 30px; left:50%; transform: translateX(-50%); z-index: 99; }
.mipl_sl_template7 .mipl_sl_stockist_store_filter{ left:calc(50% + 150px); }
.mipl_sl_template8 .mipl_sl_stockist_store_filter{ left:calc(50% - 150px); }

.mipl_sl_template7 .mipl_sl_stockist_filter,
.mipl_sl_template8 .mipl_sl_stockist_filter,
.mipl_sl_template10 .mipl_sl_stockist_filter{ background: rgba(255,255,255,0.92); display: table; }
.mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap,
.mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap,
.mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap{ display: table-cell; float: none; margin: 0; vertical-align: top; padding: 0 2.5px; }

.mipl_sl_template7 .mipl_sl_stockist_sidebar,
.mipl_sl_template8 .mipl_sl_stockist_sidebar,
.mipl_sl_template11 .mipl_sl_stockist_sidebar,
.mipl_sl_template12 .mipl_sl_stockist_sidebar{ position: absolute; z-index: 99; height: 100%; top:0; background: rgba(255,255,255,0.92); }
.mipl_sl_template8 .mipl_sl_stockist_sidebar,
.mipl_sl_template12 .mipl_sl_stockist_sidebar{ right:0; }

.mipl_sl_template9 .mipl_sl_stockist_sidebar,
.mipl_sl_template10 .mipl_sl_stockist_sidebar{ display: none; }

.mipl_sl_template7 .mipl_sl_stockist_map,
.mipl_sl_template8 .mipl_sl_stockist_map,
.mipl_sl_template9 .mipl_sl_stockist_map,
.mipl_sl_template10 .mipl_sl_stockist_map,
.mipl_sl_template11 .mipl_sl_stockist_map,
.mipl_sl_template12 .mipl_sl_stockist_map{ width: 100%; }

/* Template 3 & 4 */
.mipl_sl_template_sidefilter .mipl_sl_filter_form_wrap { height: 125px; }
.mipl_sl_template_sidefilter .mipl_sl_stockist_listing {  height: calc(100% - 126px); }
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_input_wrap{ margin-bottom: 5px; margin-right: 0; box-sizing: border-box; }
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(1){ width: calc( 100% - 35px ); }
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(3),
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(4){ width: 50%; }
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_input_wrap:last-child{ width: 100%; margin-bottom: 0; }
.mipl_sl_template_sidefilter .mipl_sl_stockist_filter .mipl_sl_current_location { width: 100%; }
.mipl_sl_template_sidefilter .mipl_sl_input_wrap:nth-child(1),
.mipl_sl_template_sidefilter .mipl_sl_input_wrap:nth-child(3) { padding-right: 5px; }
.mipl_sl_template_sidefilter button.mipl_sl_filter_button { margin: 0; padding: 0; width: 100%; }
.mipl_sl_template_sidefilter .mipl_sl_input_wrap select { width: 100%; }
.mipl_sl_stockist .mipl_sl_stockist_map .mipl_sl_stockist_map_tag { z-index: 1!important; }

@media all and (max-width:768px) {

    .mipl_sl_template7 .mipl_sl_stockist_filter, 
    .mipl_sl_template8 .mipl_sl_stockist_filter, 
    .mipl_sl_template10 .mipl_sl_stockist_filter { display: block; }

    .mipl_sl_template7 .mipl_sl_stockist_sidebar,
    .mipl_sl_template8 .mipl_sl_stockist_sidebar,
    .mipl_sl_template11 .mipl_sl_stockist_sidebar,
    .mipl_sl_template12 .mipl_sl_stockist_sidebar { position: relative; }

    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap, 
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap, 
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap { position: relative; float: left; padding: 0; }

    .mipl_sl_stockist .mipl_sl_filter_form_wrap,
    .mipl_sl_template7 .mipl_sl_filter_form_wrap,
    .mipl_sl_template8 .mipl_sl_filter_form_wrap,
    .mipl_sl_template10 .mipl_sl_filter_form_wrap { height: 125px; }

    .mipl_sl_stockist .mipl_sl_stockist_listing, 
    .mipl_sl_template7 .mipl_sl_stockist_listing,
    .mipl_sl_template8 .mipl_sl_stockist_listing,
    .mipl_sl_template10 .mipl_sl_stockist_listing{  height: calc(100% - 125px); }

    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap,
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap,
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap,
    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap { margin-bottom: 5px; margin-right: 0; box-sizing: border-box; }

    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(1),
    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(1),
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(1),
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(1)
    { width: calc( 100% - 35px ); }

    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(3),
    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(4),
    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(3),
    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(4),
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(3),
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(4),
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(3),
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap:nth-child(4)
    { width: 50%; }

    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_input_wrap:last-child,
    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_input_wrap:last-child,
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_input_wrap:last-child,
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_input_wrap:last-child
    { width: 100%; margin-bottom: 0; }

    .mipl_sl_template7 .mipl_sl_stockist_filter .mipl_sl_current_location,
    .mipl_sl_template8 .mipl_sl_stockist_filter .mipl_sl_current_location,
    .mipl_sl_template10 .mipl_sl_stockist_filter .mipl_sl_current_location,
    .mipl_sl_stockist .mipl_sl_stockist_filter .mipl_sl_current_location { width: 100%; }

    .mipl_sl_stockist .mipl_sl_input_wrap:nth-child(1),
    .mipl_sl_stockist .mipl_sl_input_wrap:nth-child(3) { padding-right: 5px; }
    
    .mipl_sl_stockist button.mipl_sl_filter_button { margin: 0; padding: 0; width: 100%; }
    .mipl_sl_stockist .mipl_sl_input_wrap select { width: 100%; }

    .mipl_sl_stockist .mipl_sl_stockist_wrapper { height: 100vh; display: unset; }
    .mipl_sl_stockist .mipl_sl_stockist_sidebar,
    .mipl_sl_stockist .mipl_sl_stockist_map { width: 100%; min-height: 50vh!important; height: 50vh!important; }
    .mipl_sl_stockist .mipl_sl_stockist_map_tag { min-height: 50vh!important; height: 50vh!important; }
    .mipl_sl_stockist .mipl_sl_stockist_listing { height: 50vh; }
    
    .mipl_sl_template7 .mipl_sl_stockist_store_filter,
    .mipl_sl_template8 .mipl_sl_stockist_store_filter,
    .mipl_sl_template10 .mipl_sl_stockist_store_filter { position: relative; display: block; left: 0; top: 0; transform: translateX(0)}

    .mipl_sl_infowindow_content { width: auto; position: relative; max-width: 300px; }
    
}